Package: org.gradle.plugins.signing.signatory.pgp

## [Groovy] Class PgpSignatory

- org.gradle.plugins.signing.signatory.pgp.PgpSignatory

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PgpSignatory (String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.bouncycastle.openpgp.PGPSignatureGenerator` | `createSignatureGenerator()`
    `PgpKeyId` | `getKeyId()`
    `void` | `sign(InputStream toSign, OutputStream signatureDestination)` Exhausts `toSign`, and writes the signature to `signatureDestination`.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SignatorySupport` | `sign`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final String name

  - ### Constructor Detail

    - #### PgpSignatory(String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)

  - ### Method Detail

    - #### org.bouncycastle.openpgp.PGPSignatureGenerator createSignatureGenerator()

    - #### PgpKeyId getKeyId()

    - #### void sign(InputStream toSign, OutputStream signatureDestination)

      Exhausts `toSign`, and writes the signature to `signatureDestination`. The caller is responsible for closing the streams, though the output WILL be flushed.